Skip to main content
GET
Public Quote for Bridge & Swap

Query Parameters

chainIn
string
required

The blockchain that the tokens will be bridged from, e.g. "ETHEREUM".

chainOut
string
required

The blockchain that the tokens will be bridged to, e.g. "AVALANCHE".

amount
string
required

When the mode is "pay" this is the amount of the token to be sent; when the mode is "receive" this is the amount of the token that will be received. E.g. to send 456.34 USDT the amount should be "456.34".

amountNative
string

The amount of native gas token (e.g. ETH, MATIC, BNB) that will be delivered to the user's wallet on the destination chain for a Gas Boost, e.g. "10".

mode
enum<string>
required

Whether the amount should represent the sending or receiving amount, e.g. "pay". When "pay" is used, amount represents the value on the chainIn and the chainOut value will be calculated and provided in the quote. When "receive" is used, amount represents the value on the chainOut and the chainIn value will be calculated and provided in the quote.

Available options:
pay,
receive
isSda
enum<string>

Whether the generated quote should be for the transaction via a Rhino.fi Smart Deposit Address or not, e.g. true. If the transaction will be via a Rhino.fi Smart Deposit Address then this should be included as true. This param will default to false.

Available options:
true,
false
tokenIn
string
required

The token that is to be sent on the chainIn, e.g. "USDT".

tokenOut
string
required

The token that is to be received on the chainOut, e.g. "USDT".

Response

SingleBridgePublicQuoteResponseSchema

chainIn
string
required

The blockchain that the tokens will be bridged from, e.g. "ETHEREUM".

chainOut
string
required

The blockchain that the tokens will be bridged to, e.g. "AVALANCHE".

payAmount
string
required

The value of the tokens that will be sent on the chainIn, denominated in the token as a human-readable decimal amount (e.g. "1.5"), not the smallest unit / wei.

payAmountUsd
number
required

The USD value of the tokens that will be sent on the chainIn.

receiveAmount
string
required

The value of the tokens that will be sent on the chainOut, denominated in the token as a human-readable decimal amount (e.g. "1.5"), not the smallest unit / wei.

receiveAmountUsd
number
required

The USD value of the tokens that will be sent on the chainOut.

fees
object
required

Contains information about the fee structure of the transaction. The fields should be read differently depending on whether the client is a "legacy" or "PAYG/subscription tier" client.

token
string
required

The asset that will be received on the chainOut.

_tag
enum<string>
required
Available options:
bridge
promotion
object

Promotion details if applicable (optional).

gasBoost
object

Functionality provided by Rhino.fi to deliver a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately.

speed
enum<string>

Provides information about whether the transaction should be completed "fast" (typically under 30 seconds), "standard" (typically under a minute) or "slow" (can be up to 20 minutes). For more information on our bridge processing speeds please read this article on the Rhino.fi Knowledge Base: https://learn.rhino.fi/articles/8257872655-bridge-speed.

Available options:
fast,
standard,
slow
estimatedDuration
number

The estimated time for the transaction to complete in milliseconds.

Required range: x >= 0